<?php
/************************************************************************/
/* NPDS V : Net Portal Dynamic System                                   */
/* ===========================                                          */
/*                                                                      */
/* This version name NPDS Copyright (c) 2001-2011 by Philippe Brunier   */
/*                                                                      */
/* Encapsuleur  V3.8                                                    */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/
/* 05.01.2001 - martvin@box43.pl              */
/* 12.09.2002 - Achel_Jay, Benjee, Capcaverne */
/* 02.11.2002 - Snipe                         */
/* 25.11.2008 - Lopez - MAJ pouir Evolution   */
/* 2010 et 2011 - Adaptation REvolution       */
/**********************************************/

// For More security
if (!stristr($_SERVER['PHP_SELF'],"admin.php")) { die(); }
if (strstr($ModPath,"..") || strstr($ModStart,"..") || stristr($ModPath, "script") || stristr($ModPath, "cookie") || stristr($ModPath, "iframe") || stristr($ModPath, "applet") || stristr($ModPath, "object") || stristr($ModPath, "meta") || stristr($ModStart, "script") || stristr($ModStart, "cookie") || stristr($ModStart, "iframe") || stristr($ModStart, "applet") || stristr($ModStart, "object") || stristr($ModStart, "meta")) {
   die();
}
// For More security

// Retro compatibilit SABLE
if (!function_exists("sql_connect")) {
   include ("modules/$ModPath/retro-compat/mysql.php");
}
// Retro compatibilit SABLE

/**************************************************************************************************/
/* Administration du MODULE                                                                       */
/**************************************************************************************************/
if ($admin) {
   global $language, $ModPath, $ModStart, $NPDS_Prefix;

   include ("modules/$ModPath/encap.conf.php"); 
   if (file_exists('modules/'.$ModPath.'/admin/lang/'.$language.'.php')) {
      include_once('modules/'.$ModPath.'/admin/lang/'.$language.'.php');
   } else {
      include_once('modules/'.$ModPath.'/admin/lang/french.php');
   }
   // Paramtres utilis par le script
   $ThisFile = "admin.php?op=Extend-Admin-SubModule&amp;ModPath=$ModPath&amp;ModStart=$ModStart";

function AfficheHaut($ModPath, $ModStart) {
   global $ThisFile, $NPDS_Prefix;

   opentable();
   echo "<br \><table width=\"100%\" cellspacing=\"2\" cellpadding=\"2\" border=\"0\"><tr><td class=\"header\">\n";
   echo adm_encap_translate("Administration de l'Encapsuleur");
   echo "</td></tr>\n";

   echo "<tr><td align=\"center\"><br />\n";
   $result = sql_query("SELECT * FROM ".$NPDS_Prefix."encapsulation ORDER BY id ASC");
   if ($result) {
      $nombre = sql_num_rows($result);
      echo adm_encap_translate("Il y a")." $nombre ".adm_encap_translate("encapsulation(s) dans la table")."<br /><br />".adm_encap_translate("Pour modifier un enregistrement, cliquez sur son nom.");
      echo "<table border=\"0\" align=\"center\" width=\"100%\"><tr class=\"header\"><td>Id</td><td>".adm_encap_translate("Nom")."</td><td>".adm_encap_translate("Forme")."</td><td>".adm_encap_translate("Adresse")."</td><td>".adm_encap_translate("Type")."</td><td>".adm_encap_translate("Display")."</td><td>".adm_encap_translate("Hauteur")."</td><td>".adm_encap_translate("Scroll")."</td><td>".adm_encap_translate("Bloc")."</td><td>".adm_encap_translate("Titre")."</td><td colspan=\"2\" width=\"50\">&nbsp;</td>\n";
      while ($ligne = sql_fetch_assoc($result)) {
         $rowcolor=tablos();
         echo "<tr $rowcolor><td>".$ligne['id']."</td><td><a href=\"$ThisFile&amp;subop=editform&amp;id=".$ligne['id']."#edit\">".$ligne['nom']."</a></td><td>".$ligne['form']."</td><td style=\"font-size:10px;\">".$ligne['adresse']."</td><td>".$ligne['type']."</td>";
         if ($ligne['display']==1)
            echo "<td>".adm_encap_translate("oui")."</td>";
         else
            echo "<td>".adm_encap_translate("non")."</td>";

         echo "<td>".$ligne['height']."</td><td>".$ligne['scroll']."</td><td>".$ligne['block']."</td><td style=\"font-size:10px;\">".$ligne['titre']."</td>";
         echo "<td><a href=\"$ThisFile&amp;subop=accdelete&amp;id=".$ligne['id']."\">".adm_encap_translate("(effacer)")."</a></td>";
         echo "<td><a href=\"$ThisFile&amp;subop=acclien&amp;nom=".$ligne['nom']."\">".adm_encap_translate("(lien)")."</a></td></tr>";
      }
      echo "</table>\n";
   } else {
      echo adm_encap_translate("Dsol, cette requte ne renvoie aucun rsultat.")."<br />";
   }
   echo "</td></tr>\n";
   echo "</table>";
   closetable();
}

function AddEditBas($ModPath, $ModStart, $subop){
   global $ThisFile, $encap_height, $id, $NPDS_Prefix;

   Opentable();
   echo "<p align=\"left\"><b>";
   if ($subop=="addform"){
      echo adm_encap_translate("Ajouter un enregistrement :");
   } elseif ($subop=="editform") {
      echo "<a name=\"edit\"></a>";
      echo adm_encap_translate("Modifier cet enregistrement :");
      $sql = "SELECT * FROM ".$NPDS_Prefix."encapsulation WHERE id=$id";
      $result = sql_query($sql);
      $ligne = sql_fetch_assoc($result);
      $id = $ligne['id'];
      $nom = $ligne['nom'];
      $display = $ligne['display'];
      $type= $ligne['type'];
      $form= $ligne['form'];
      $adresse = $ligne['adresse'];
      $height = $ligne['height'];
      $scroll = $ligne['scroll'];
      $block = $ligne['block'];
      $titre = $ligne['titre'];
      $tit = $ligne['tit'];
   } else {
     exit();
   }
   echo "</b></p>";

   echo"<form action=\"admin.php\" method=\"post\">";
   echo "<input type=\"hidden\" name=\"op\" value=\"Extend-Admin-SubModule\" />";
   echo "<input type=\"hidden\" name=\"ModPath\" value=\"$ModPath\" />";
   echo "<input type=\"hidden\" name=\"ModStart\" value=\"$ModStart\" />";
   if ($subop=="addform"){
      echo "<input type=\"hidden\" name=\"subop\" value=\"accadd\" />";
   } else {
      echo "<input type=\"hidden\" name=\"subop\" value=\"accedit\" />";
      echo"<input type=\"hidden\" name=\"id\" value=\"$id\" />";
   }

   echo "<table border=\"0\" width=\"100%\">
         <tr><td>".adm_encap_translate("Nom")." :</td>
         <td width=\"50%\"><input type=\"text\" class=\"texbox_standard\" name=\"nom\" value=\"$nom\" size=\"50\" /></td>
         </tr>
         <tr>
         <td>".adm_encap_translate("Display")." : ('1' - '0') <span style=\"color: red;\">".adm_encap_translate("defaut")." = 1</span></td>
         <td>
            <select name=\"display\" class=\"texbox_standard\">
               <option value=\"1\"";
               if (!strcmp("$display", "1")) {echo "selected";}
               echo ">1
               <option value=\"0\"";
               if (!strcmp("$display", "0")) {echo "selected";}
               echo ">0
            </select>
         </td>

         </tr>
         <tr>
         <td>".adm_encap_translate("Type")." : ".adm_encap_translate("(interne ou externe)")."</td>
         <td>
            <select name=\"type\" class=\"texbox_standard\">
               <option value=\"interne\" ";
               if (!strcmp("$type", "interne")) {echo "selected";}
               echo" >".adm_encap_translate("Interne")."
               <option value=\"externe\" ";
               if (!strcmp("$type", "externe")) {echo "selected";}
               echo" >".adm_encap_translate("Externe")."
            </select>
         </td>
         </tr>

         <tr>
         <td>".adm_encap_translate("Forme")." : ('http' - 'https' - 'ftp') <span style=\"color: red;\">".adm_encap_translate("defaut")." = http</span></td>
         <td >
            <select name=\"form\" class=\"texbox_standard\">
               <option value=\"http\"";
               if (!strcmp("$scroll", "http")) {echo "selected";}
               echo ">http
               <option value=\"https\"";
               if (!strcmp("$scroll", "https")) {echo "selected";}
               echo ">https
               <option value=\"ftp\"";
               if (!strcmp("$scroll", "ftp")) {echo "selected";}
               echo ">ftp
            </select>
         </td>
         </tr>

         <tr>
         <td>".adm_encap_translate("Adresse")." :<br /><span style=\"color: red;\">".adm_encap_translate("(adresse web sans http:// si externe ou nom du fichier si interne)")."</span></td>
         <td><input type=\"text\" name=\"adresse\" class=\"texbox_standard\" value=\"$adresse\" size=\"50\" /></td>
         </tr>

         <tr>
         <td>".adm_encap_translate("Hauteur")." :<span style=\"color: red;\">".adm_encap_translate("defaut")." = $encap_height</span></td>
         <td><input type=\"text\" class=\"texbox_standard\" name=\"height\" value=\"$height\" size=\"50\" /></td>
         </tr>

         <tr>
         <td>".adm_encap_translate("Scroll")." : ('yes' - 'no' - 'auto') <span style=\"color: red;\">".adm_encap_translate("defaut")." = ".adm_encap_translate("no")."</span></td>
         <td>
            <select name=\"scroll\" class=\"texbox_standard\">
               <option value=\"no\"";
               if (!strcmp("$scroll", "no")) {echo "selected";}
               echo ">no
               <option value=\"yes\"";
               if (!strcmp("$scroll", "yes")) {echo "selected";}
               echo ">yes
               <option value=\"auto\"";
               if (!strcmp("$scroll", "auto")) {echo "selected";}
               echo ">auto
            </select>
         </td>
         </tr>

         <tr>
         <td>".adm_encap_translate("Bloc")." : ('0','1','-1','2','3','4') <span style=\"color: red;\">".adm_encap_translate("defaut")." = 1</span><IMG SRC='modules/$ModPath/admin/images/info.jpg' width='20' border='0' TITLE='
   => -1 : pas de blocs de Gauche ET pas de blocs de Droite
   =>  0 : blocs de Gauche ET pas de blocs Droite
   =>  1 : blocs de Gauche ET blocs de Droite
   =>  2 : pas de blocs Gauche ET blocs de Droite
   => 3 : Colonne gauche (Blocs) + Colonne Droite (Blocs) + Central
   => 4 : Central + Colonne Gauche(Blocs) + Colonne Droite (Blocs)
      Si Aucune Variable de renseign : Affichage par dfaut = 0'></td>
         <td>
            <select name=\"block\" class=\"texbox_standard\">
               <option value=\"1\"";
               if (!strcmp("$block", "1")) {echo "selected";}
               echo ">1
               <option value=\"0\"";
               if (!strcmp("$block", "0")) {echo "selected";}
               echo ">0
               <option value=\"-1\"";
               if (!strcmp("$block", "-1")) {echo "selected";}
               echo ">-1
               <option value=\"2\"";
               if (!strcmp("$block", "2")) {echo "selected";}
               echo ">2  
			   <option value=\"3\"";
               if (!strcmp("$block", "3")) {echo "selected";}
               echo ">3 
			   <option value=\"4\"";
               if (!strcmp("$block", "4")) {echo "selected";}
               echo ">4 
            </select>
         </td>
         </tr>

         <tr>
         <td>".adm_encap_translate("Titre")." :</td>
         <td><input type=\"text\" name=\"titre\"  class=\"texbox_standard\" value=\"$titre\" size=\"50\" /></td>
         </tr>

         <tr>
         <td>".adm_encap_translate("Affichage du Titre")." : <span style=\"color: red;\">".adm_encap_translate("defaut")." = ".adm_encap_translate("oui")."</span></td>
         <td >
            <select name=\"tit\" class=\"texbox_standard\">
               <option value=\"1\"";
               if (!strcmp("$tit", "1")) {echo "selected";}
               echo ">".adm_encap_translate("oui")."
               <option value=\"0\"";
               if (!strcmp("$tit", "0")) {echo "selected";}
               echo ">".adm_encap_translate("non")."
            </select>
         </td>
         </tr>
   </table>

   <br /><input type=\"submit\" class=\"bouton_standard\" name=\"valider\" value=\"".adm_encap_translate("Enregistrer")."\" />&nbsp;&nbsp;&nbsp;<a href=\"$ThisFile\">[".adm_encap_translate("Annuler")."]</a>";
   echo "</form>";
   closetable();
}

function AccAdd($nom,$display,$type,$form,$adresse,$height,$scroll,$block,$tit,$titre){
   global  $encap_height, $NPDS_Prefix;

   if ($nom!="") {
      OpenTable();
      $verif = "SELECT id from ".$NPDS_Prefix."encapsulation WHERE nom='$nom'";
      if ($num = sql_num_rows(sql_query($verif))) {
         echo "<p align=\"center\" class=\"rouge\">".adm_encap_translate("le nom saisi existe dja")."</p>";
      } else {
        if ($height=="") { $height=$encap_height; }
        $sql = "INSERT INTO ".$NPDS_Prefix."encapsulation (nom,display,type,form,adresse,height,scroll,block,tit,titre) VALUES ('$nom','$display','$type','$form','$adresse','$height','$scroll','$block', '$tit', '$titre')";
        $result = sql_query($sql);
        echo "<p align=\"center\" class=\"noir\">".adm_encap_translate("Enregistrement effectu !")."</p>";
      }
      CloseTable();
   }
}

function AccEdit($id,$nom,$display,$type,$form,$adresse,$height,$scroll,$block,$tit,$titre){
   global  $encap_height, $NPDS_Prefix;

   OpenTable();
   $uid=0;
    if($height=="") { $height=$encap_height; }
   $sql = "UPDATE ".$NPDS_Prefix."encapsulation SET nom='$nom', display=$display, type='$type', form='$form', adresse='$adresse',height='$height',scroll='$scroll',block='$block', tit='$tit',titre='$titre'  WHERE id=$id";
   if($result = sql_query($sql)){   
      echo "<p align=\"center\" class=\"noir\">".adm_encap_translate("Mise  Jour effectue !")."</p>";
        }
        else{
      echo "<p align=\"center\" class=\"rouge\">".adm_encap_translate("Mise  Jour non effectue !")."</p>";
   }
   CloseTable();
}

function Accdelete($id){
   global  $NPDS_Prefix;

   OpenTable();
   $sql = "DELETE FROM ".$NPDS_Prefix."encapsulation WHERE id=$id";
   if ($result = sql_query($sql)) {
      echo "<p align=\"center\" class=\"noir\">".adm_encap_translate("Enregistrement N ").$id." ".adm_encap_translate("effac !")."</p>";
   } else {
      echo "<p align=\"center\" class=\"rouge\">".adm_encap_translate("Erreur de suppresion de l'enregistrement")." $id</p>";
   }
   CloseTable();
}

function Acclink($nom){
   global  $nuke_url, $NPDS_Prefix;

   OpenTable();
   $sql = "SELECT * FROM ".$NPDS_Prefix."encapsulation WHERE nom='$nom'";
   if ($result = sql_query($sql)) {
      echo "<p align=\"left\">".adm_encap_translate("Le lien de votre page encapsule est")." : <br />=> ".$nuke_url."/modules.php?ModPath=encapsuleur&ModStart=encapsulation&page=".$nom,"</p>";
   } else {
      echo "<p align=\"center\" class=\"rouge\">".adm_encap_translate("Le lien n'existe pas.")."</p>";
   }
   CloseTable();
}

   switch($subop) {
      case "accadd":
         Accadd($nom,$display,$type,$form,$adresse,$height,$scroll,$block,$tit,$titre);
         if ($nom!="")
            Acclink($nom);
         AfficheHaut($ModPath, $ModStart);
         AddEditBas($ModPath,$ModStart,'addform');
         break;

      case "accedit":
         Accedit($id,$nom,$display,$type,$form,$adresse,$height,$scroll,$block,$tit,$titre);
         Acclink($nom);
         AfficheHaut($ModPath, $ModStart);
         AddEditBas($ModPath,$ModStart,'addform');
         break;

      case "accdelete":
         Accdelete($id);
         AfficheHaut($ModPath, $ModStart);
         AddEditBas($ModPath,$ModStart,'addform');
         break;

      case "acclien":
         Acclink($nom);
         AfficheHaut($ModPath, $ModStart);
         AddEditBas($ModPath,$ModStart,'addform');
         break;      

      case "editform":
         AfficheHaut($ModPath, $ModStart);
         AddEditBas($ModPath,$ModStart,'editform');
         break;      

      default:
         AfficheHaut($ModPath, $ModStart);
         AddEditBas($ModPath,$ModStart,'addform');
         break;
   }
}
?>